%define name 	lives
%define version 0.9.9.6
%define release %mkrel 1

%define major 0
%define libname %mklibname weed %major
%define develname %mklibname -d weed

Summary: 	Linux Video Editing System
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://www.xs4all.nl/~salsaman/lives/current/LiVES-%version.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name-48.png
Patch0:		LiVES-0.9.9.5-fix-desktop-item.patch
URL: 		http://lives.sourceforge.net/
License: 	GPLv3+
Group: 		Video
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: 	gtk2-devel
BuildRequires:	bison
BuildRequires:  imagemagick
BuildRequires:	libmjpegtools-devel
BuildRequires:	SDL-devel
BuildRequires:	cairo-devel
BuildRequires:	gpm-devel
BuildRequires:	jackit-devel
BuildRequires:	libtheora-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	celt-devel
Requires:	xmms mplayer mencoder sox imagemagick
Requires:	cdrecord-cdda2wav
Requires:	xset
Requires:	gdk-pixbuf-loaders
BuildRequires:	libvisual-devel >= 0.1.7
Requires:	libvisual-plugins

%description
The Linux Video Editing System (LiVES) is intended to be a simple yet powerful
video effects and editing system.  It uses common tools for most of its work
(mplayer, ImageMagick, GTK+, sox).

%package -n %libname
Summary:	Linux Video Editing System - shared libs
Group:		Video

%description -n %libname
This package contains shared libs for LiVES.

%package -n %develname
Summary:	Linux Video Editing System - Development files
Group:		Video
Requires:	%libname = %version
Provides:	%name-devel = %version-%release

%description -n %develname
This package contains development files needed to build LiVES plugins.

%prep
%setup -q
%patch0 -p0
perl -p -i -e 's|"/usr/local/"|&get_home_dir||g' smogrify

%build
%define _disable_ld_no_undefined 1
%configure2_5x --disable-static
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

%find_lang lives

find %buildroot%_libdir/%name -name *.la|xargs rm
rm -fr %buildroot%_datadir/doc
rm -f %buildroot%_datadir/pixmaps/lives.xpm

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{_sourcedir}/lives-16.png \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 %{_sourcedir}/lives-32.png \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 %{_sourcedir}/lives-48.png \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post 
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun 
%clean_menus
%update_icon_cache hicolor
%endif

%files -f lives.lang
%defattr(-,root,root,0755)
%doc AUTHORS BUGS C* docs/*.txt FEATURES GETTING*
%doc NEWS OMC/*.txt README* RFX/*
%_bindir/*
%_datadir/%name
%_libdir/%name
%{_datadir}/applications/LiVES.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files -n %libname
%defattr(-,root,root,-)
%_libdir/*.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%_includedir/weed
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a


%changelog
* Sat Feb 07 2009 Funda Wang <fundawang@mandriva.org> 0.9.9.6-1mdv2009.1
+ Revision: 338421
- new version 0.9.9.6
- update url

* Wed Dec 17 2008 Funda Wang <fundawang@mandriva.org> 0.9.9.5-1mdv2009.1
+ Revision: 315085
- add file list
- disable undefined
- BR celt
- BR sample rate
- New version 0.9.9.5
- rediff desktop patch
- New version 0.9.9.1

  + Oden Eriksson <oeriksson@mandriva.org>
    - lowercase ImageMagick

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 0.9.8.12-1mdv2009.0
+ Revision: 208188
- update to new version 0.9.8.12

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 0.9.8.11-1mdv2009.0
+ Revision: 208027
- update to new version 0.9.8.11

* Sun Mar 09 2008 Funda Wang <fundawang@mandriva.org> 0.9.8.8-1mdv2008.1
+ Revision: 182959
- New version 0.9.8.8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Funda Wang <fundawang@mandriva.org> 0.9.8.7-1mdv2008.1
+ Revision: 138893
- fix desktop item icon ext
- New version 0.9.8.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 19 2007 Austin Acton <austin@mandriva.org> 0.9.8.6-2mdv2008.0
+ Revision: 53439
- totally redo buildrequires and requires

* Sat Jul 14 2007 Funda Wang <fundawang@mandriva.org> 0.9.8.6-1mdv2008.0
+ Revision: 51982
- BR gpm-devel
- fix desktop file
- New version

* Wed Jun 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.8.5-2mdv2008.0
+ Revision: 38815
- Added missing BuildRequires for desktop-file-utils.
- Removed old menu, switch to freedesktop icon scheme.
- Cleanups.

  + Jérôme Soyer <saispo@mandriva.org>
    - New release

* Tue May 29 2007 Funda Wang <fundawang@mandriva.org> 0.9.8.4-2mdv2008.0
+ Revision: 32313
- Rebuild against directfb 1.0


* Sun Apr 01 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.8.4-1mdv2007.1
+ Revision: 150144
- New release

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.9.8.2-2mdv2007.1
+ Revision: 127257
- fix build on x86_64

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix Build
    - New release 0.9.8.2

  + Lenny Cartier <lenny@mandriva.com>
    - Import lives

* Mon Sep 04 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.5-3mdv2007.0
- xdg menu

* Sun Jun 11 2006 Austin Acton <austin@mandriva.org> 0.9.5-2mdv2007.0
- rebuild for libvisual
- mkrel

* Sun Jan 01 2006 Austin Acton <austin@mandriva.org> 0.9.5-1mdk
- 0.9.5 final

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre5.2mdk
- Rebuild

* Sat Oct 01 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre5.1mdk
- pre5

* Sun Aug 14 2005 Götz Waschk <waschk@mandriva.org> 0.9.5-0.pre4.2mdk
- rebuild for new mjpegtools

* Thu Jul 28 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre4.1mdk
- 0.9.5pre4

* Tue Apr 19 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre3.1mdk
- 0.9.5pre3

* Mon Mar 28 2005 Austin Acton <austin@mandrake.org> 0.9.5-0.pre2.2.1mdk
- 0.9.5pre2.2

* Tue Jan 25 2005 Austin Acton <austin@mandrake.org> 0.9.5-0.pre1-1mdk
- 0.9.5pre1

* Wed Jan 12 2005 Michael Scherer <misc@mandrake.org> 0.9.1-3mdk
- Rebuild to remove deps on python2.3, thanks to Fabien Illide

* Sat Dec 11 2004 Austin Acton <austin@mandrake.org> 0.9.1-2mdk
- tidy spec
- add missing doc files and icons (thanks to author)
- buildrequires bison and SDL/mjpegtools-devel
- build with libvisual support on post-10.1
- use ~ as default load/save dir

* Wed Dec 08 2004 Austin Acton <austin@mandrake.org> 0.9.1-1mdk
- 0.9.1
- configure 2.5
- source URL

* Thu Aug 19 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre5.2mdk
- fix plugins location

* Thu Aug 19 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre5.1mdk
- 0.9.1pre5

* Thu Aug 05 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre4.1mdk
- 0.9.1pre4

* Mon Jul 26 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre3.1mdk
- 0.9.1pre3

* Wed May 05 2004 Austin Acton <austin@mandrake.org> 0.9.0-0.pre1.1mdk
- 0.9.0pre1

